/* Uses code snippets in accordance with the terms of use from https://www.w3schools.com/js/js_json_parse.asp */

/* get elements */
var quote = document.getElementById("quote");
var author = document.getElementById("author");

/*call the functionupon loading the page*/
load();

function load()
{
  /* get XMLHttpRequest object */
  var x = new XMLHttpRequest();
  /* Call function when ready state changes */
  x.onreadystatechange = function()
  {
    /* 200 status indicates OK */
    if(this.status == 200)
    {
      /* parse the JSON object and set the innerHTML of the elements to be the retrieved strings */
      quoteObject = JSON.parse(this.responseText);
      quote.innerHTML = quoteObject.content;
      author.innerHTML = quoteObject.author;
    }
  };
  /* Specifies the request and then sends it */
  x.open("GET","https://api.quotable.io/random?tags=inspirational", true);
  x.send();
}

