var activeSlide = 0;
var slides = document.getElementsByClassName("slide");
var totalSlides = slides.length;

var indicators = document.getElementsByClassName("indicator");

/* Start by display slide 0 */
displaySlide();

/* increment the current index to get the next slide and then display it. */
function nextSlide(increment)
{
  /* increment the active slide to the index of the next slide */
  activeSlide += increment;
  
  /* loop back around if increment causes slide index to overflow or underflow */
  if (activeSlide > totalSlides - 1)
    activeSlide = 0;
  if (activeSlide < 0)
    activeSlide = totalSlides - 1;
  
  displaySlide();
}

/* Set the index of the next slide and then display it.*/
function setSlide(index)
{
  activeSlide = index;
  displaySlide();
}


/*set the display of the new active slide and add the active class to its indicator. Also set the display of all other slides to none and remove active class from all other indicators */
function displaySlide()
{
  for (var i = 0; i < totalSlides; i++)
  {
    if (activeSlide === i)
    {
      slides[i].style.display = "block";
      indicators[i].classList.add("active");
    }
    else
    {
      slides[i].style.display = "none";
      indicators[i].classList.remove("active");
    }
  }

}
